Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1504 - initscripts requires pump & console-tools
Summary: initscripts requires pump & console-tools
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-14 04:10 UTC by sds
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-15 23:50:39 UTC


Attachments (Terms of Use)

Description sds 1999-03-14 04:10:16 UTC
error: failed dependencies:
        console-tools is needed by initscripts-3.92-2
        pump is needed by initscripts-3.92-2

I use neither bootp nor dhcp, so I certainly do not need
pump.

I also hope that I do not have to install the 1MB
console-tools which I do not need.

Comment 1 Bill Nottingham 1999-03-14 20:45:59 UTC
That initscripts needs to require pump, so anyone that
*does* use bootp or dhcp has a working system. Ditto
for console-tools and alternate keyboard layouts/console fonts.

Comment 2 sds 1999-03-14 22:49:59 UTC
This is an obvious non-sequitur: why not require, say, X, Emacs,
TCP/IP, samba, ppp and ISDN so that those who need them will have a
working system?!
Are you saying that RH6 will inflict pump &c on **everyone**?!
You cannot be serious!

Comment 3 Bill Nottingham 1999-03-15 15:28:59 UTC
pump & console-tools will be installed by default, just
as bootpc and kbd were in 5.2.

Comment 4 Cristian Gafton 1999-03-15 23:50:59 UTC
pump actually replaces two packages (bootp and dhcpc) and
console-tools replaces kbd. This is just the way things work. Not
everybody is using the default US keyboard and not everyone has the
luxury of a static IP.


Note You need to log in before you can comment on or make changes to this bug.